Bug 508131 - Monitor plugged in at boot freezes system after gdm login (KMS)
Monitor plugged in at boot freezes system after gdm login (KMS)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 14:17 EDT by Moritz Kammerer
Modified: 2014-09-08 07:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:17:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (173.09 KB, text/plain)
2009-06-25 14:18 EDT, Moritz Kammerer
no flags Details

  None (edit)
Description Moritz Kammerer 2009-06-25 14:17:32 EDT
Description of problem:

If the monitor is plugged in (external VGA monitor) at boot time, the system freezes after login with gdm (Display freezes, Ctrl+Alt+Bksp, crtl+alt+f*, ctrl+alt+del doesn't work). If i plug in the monitor after login, everything works as expected.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.12-36.20090514git9656762.fc11.i586

How reproducible:
Every time.

Steps to Reproduce:
1. Plug in monitor before booting
2. Enable KMS
3. Boot
4. Login
5. Freeze!
  
Actual results:
System freezes.

Expected results:
External monitor should display the desktop.

Additional info:
Laptop is an Dell Inspiron 1520, Geforce 8600M GT.

Not sure which files you need, just ask and i will upload them.
Comment 1 Moritz Kammerer 2009-06-25 14:18:31 EDT
Created attachment 349441 [details]
Xorg log
Comment 2 Ben Skeggs 2009-06-25 16:57:48 EDT
The cause, and solution to this issue are well known, but nothing quite ready to ship by default as of yet.

You may have some luck if you set nouveau.uscript=1 (you need nouveau.modeset=1 too for this to work) in your kernel options.  The code in F11 works well enough to fix this very issue on my T61P, but I've since discovered it's missing a lot of stuff that needs to be done, so may not work everywhere.

A more solid fix (workaround really) would be to find the BIOS option that selects which display to initialise first on boot, and switch it to to "Internal LCD" or whatever you BIOS calls it.
Comment 3 Matěj Cepl 2009-11-05 13:33:09 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Chris Campbell 2009-12-06 10:34:49 EST
Original reporter, if possible please update your Fedora 11 system per Comment #3, or upgrade it to Fedora 12 and report back if this is still an issue.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Matěj Cepl 2010-02-26 07:20:38 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 6 Matěj Cepl 2010-02-26 07:29:37 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Notice, that this is an automatically filed comment for all bugs with hanging NEEDINFO for longer time; it is possible by quirks of bugzilla, that some bugs are in this state even though you have attached the required information; please, make a comment to this bug ... that we should see correctly; I am sorry for the bothering you in such case.]
Comment 7 Bug Zapper 2010-04-27 11:15:20 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 09:17:42 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.